#ifndef CORE_PLANE_HPP
#define CORE_PLANE_HPP

#include "core/Vector.hpp"

namespace Core {
    class Plane final {
        Vector3 abc;
        float d;

    public:
        Plane();
        Plane(const Vector3& a, const Vector3& b, const Vector3& c);
        float signedDistance(const Vector3& v) const;
        size_t toString(char* s, size_t n) const;
    };
}

#endif
