#ifndef CORE_UNICODE_HPP
#define CORE_UNICODE_HPP

#include "core/Types.hpp"

namespace Core {
    struct UTF8 {
        u8 data[4] = {0};
        u32 length = 0;
    };

    UTF8 convertUnicodeToUTF8(u32 c);
    u32 convertUTF8toUnicode(UTF8 c);
    bool isUTF8Remainder(u8 c);
    u32 getUTF8Length(u8 c);
}

#endif
