#include "../Tests.hpp"
#include "core/Test.hpp"
#include "core/Unicode.hpp"

void testUnicode(void) {
    for(u32 c = 0; c < 0x10FFFF; c += 50) {
        Core::UTF8 u = Core::convertUnicodeToUTF8(c);
        for(u32 k = 1; k < u.length; k++) {
            TEST_TRUE(Core::isUTF8Remainder(u.data[k]));
        }
        TEST_TRUE(u.length >= 1);
        TEST(u.length, Core::getUTF8Length(u.data[0]));
        TEST(c, Core::convertUTF8toUnicode(u));
    }
}
